Bug 20795 - koha-rebuild-zebra should pass through increased verbosity
Summary: koha-rebuild-zebra should pass through increased verbosity
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-20 14:43 UTC by Nick Clemens
Modified: 2018-09-21 12:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20795: Pass incrreased verbosity to zebra rebuild script (969 bytes, patch)
2018-05-20 14:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20795: Pass incrreased verbosity to zebra rebuild script (1.00 KB, patch)
2018-05-22 22:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20795: Pass incrreased verbosity to zebra rebuild script (1.08 KB, patch)
2018-08-01 14:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20795: Inform the user about this change, add to pod (997 bytes, patch)
2018-08-01 14:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-05-20 14:43:14 UTC

    
Comment 1 Nick Clemens 2018-05-20 14:46:41 UTC
Created attachment 75449 [details] [review]
Bug 20795: Pass incrreased verbosity to zebra rebuild script

To test:
1 - Run koha-rebuild-zebra with multiple '-v'
2 - Note no increased verbosity
3 - Apply patch
4 - Run the updated koha-rebuild-zebra script with multiple '-v'
5 - Note increased verbosity
Comment 2 M. Tompsett 2018-05-22 22:09:13 UTC
WOAH! That's massive.
Comment 3 M. Tompsett 2018-05-22 22:09:56 UTC
Created attachment 75482 [details] [review]
Bug 20795: Pass incrreased verbosity to zebra rebuild script

To test:
1 - Run koha-rebuild-zebra with multiple '-v'
2 - Note no increased verbosity
3 - Apply patch
4 - Run the updated koha-rebuild-zebra script with multiple '-v'
5 - Note increased verbosity

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Jonathan Druart 2018-08-01 14:22:52 UTC
Created attachment 77372 [details] [review]
Bug 20795: Pass incrreased verbosity to zebra rebuild script

To test:
1 - Run koha-rebuild-zebra with multiple '-v'
2 - Note no increased verbosity
3 - Apply patch
4 - Run the updated koha-rebuild-zebra script with multiple '-v'
5 - Note increased verbosity

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2018-08-01 14:22:57 UTC
Created attachment 77373 [details] [review]
Bug 20795: Inform the user about this change, add to pod

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Nick Clemens 2018-08-14 12:54:51 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-08-16 10:43:46 UTC
I can see how this could be extremely helpful to system administrators and as there are no effects unless called with the additional parameter I am happy to backport this enhancement.

Pushed to 18.05.x for 18.05.03
Comment 8 Fridolin SOMERS 2018-09-21 12:44:16 UTC
Pushed to 17.11.x for 17.11.10